Saltar al contenido principal
GET
/
marketing
/
forms
/
2026-09-beta
Obtener formularios
curl --request GET \
  --url https://api.hubapi.com/marketing/forms/2026-09-beta \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "formType": "hubspot",
      "id": "<string>",
      "name": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "archived": true,
      "fieldGroups": [
        {
          "fields": [
            {
              "dependentFields": [
                {
                  "dependentCondition": {
                    "operator": "between",
                    "rangeEnd": "<string>",
                    "rangeStart": "<string>",
                    "value": "<string>",
                    "values": [
                      "<string>"
                    ]
                  },
                  "dependentField": "<unknown>"
                }
              ],
              "fieldType": "email",
              "hidden": true,
              "label": "<string>",
              "name": "<string>",
              "objectTypeId": "<string>",
              "required": true,
              "validation": {
                "blockedEmailDomains": [
                  "<string>"
                ],
                "useDefaultBlockList": true
              },
              "defaultValue": "<string>",
              "description": "<string>",
              "placeholder": "<string>"
            }
          ],
          "groupType": "default_group",
          "richTextType": "image",
          "richText": "<string>"
        }
      ],
      "configuration": {
        "allowLinkToResetKnownValues": true,
        "archivable": true,
        "cloneable": true,
        "createNewContactForNewEmail": true,
        "editable": true,
        "language": "af",
        "lifecycleStages": [
          {
            "objectTypeId": "<string>",
            "value": "<string>"
          }
        ],
        "notifyContactOwner": true,
        "notifyRecipients": [
          "<string>"
        ],
        "postSubmitAction": {
          "type": "redirect_url",
          "value": "<string>"
        },
        "prePopulateKnownValues": true,
        "recaptchaEnabled": true,
        "embedType": "V3"
      },
      "displayOptions": {
        "renderRawHtml": true,
        "style": {
          "backgroundWidth": "<string>",
          "fontFamily": "<string>",
          "helpTextColor": "<string>",
          "helpTextSize": "<string>",
          "labelTextColor": "<string>",
          "labelTextSize": "<string>",
          "legalConsentTextColor": "<string>",
          "legalConsentTextSize": "<string>",
          "submitAlignment": "center",
          "submitColor": "<string>",
          "submitFontColor": "<string>",
          "submitSize": "<string>"
        },
        "submitButtonText": "<string>",
        "theme": "canvas",
        "cssClass": "<string>"
      },
      "legalConsentOptions": {
        "type": "none"
      },
      "archivedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de consulta

after
string

El token del cursor de paginación del último recurso leído con éxito se devolverá como la propiedad JSON paging.next.after de una respuesta paginada que contenga más resultados.

archived
boolean

Si se devolverán solo los resultados que se han archivado.

formTypes
enum<string>[]

Una lista de tipos de formulario para filtrar. Los valores válidos incluyen "hubspot", "capturado", "flujo", "comentario_blog" y "todos".

Opciones disponibles:
hubspot,
captured,
flow,
blog_comment,
all
limit
integer<int32>

El número máximo de resultados que se mostrarán por página.

Respuesta

successful operation

results
object[]
requerido

Una matriz de definiciones de formulario, cada una representada por un objeto HubSpotFormDefinition.

paging
object
Last modified on April 13, 2026